/*
	tabhplj -- nroff terminal table for HP 2686A LaserJet printer
			with font cartridge 92286A

	last edit:	14-Jan-1985	D A Gwyn
			04-Mar-1985	J W Kinch

	Notes:
		Italics are obtained as the secondary character set.
		Bold is done by explicit font selection.
		The bell logo character has been changed to a
		\002 (STX) character to serve as an escape to the
		upper part of the printer's font.  This must be
		used with the post filter hpfltr.  Some of the other
		special characters are also selected this way.
*/

#define	INCH	240

struct termtable	thplj =
	{
	0,				/* bset */
	054,				/* breset */
	INCH/120,			/* Hor */
	INCH/48,			/* Vert */
	INCH/6,				/* Newline */
	INCH/10,			/* Char */
	INCH/10,			/* Em */
	INCH/12,			/* Halfline */
	INCH/10,			/* Adj */
	"\033)s1S",			/* twinit */
	"\033E",			/* twrest */
	"\r\n",				/* twnl */
	"\033=\033&a-1R",		/* hlr */
	"\033=",			/* hlf */
	"\033&a-1R",			/* flr */
	"\033(s4B",			/* bdon */
	"\033(sB",			/* bdoff */
	"\016",				/* iton */
	"\017",				/* itoff */
	"\033&l1C\033&k1H",		/* ploton */
	"\033&l8C\016\017",		/* plotoff */
	"\033&a-1R",			/* up */
	"\n",				/* down */
	" ",				/* right */
	"\b",				/* left */

	/* codetab */

	"\001 ",			/* space */
	"\001!",			/* ! */
	"\001\"",			/* " */
	"\001#",			/* # */
	"\001$",			/* $ */
	"\001%",			/* % */
	"\001&",			/* & */
	"\001'",			/* ' close */
	"\001(",			/* ( */
	"\001)",			/* ) */
	"\001*",			/* * */
	"\001+",			/* + */
	"\001,",			/* , */
	"\001-",			/* - hyphen */
	"\001.",			/* . */
	"\001/",			/* / */
	"\2010",			/* 0 */
	"\2011",			/* 1 */
	"\2012",			/* 2 */
	"\2013",			/* 3 */
	"\2014",			/* 4 */
	"\2015",			/* 5 */
	"\2016",			/* 6 */
	"\2017",			/* 7 */
	"\2018",			/* 8 */
	"\2019",			/* 9 */
	"\001:",			/* : */
	"\001;",			/* ; */
	"\001<",			/* < */
	"\001=",			/* = */
	"\001>",			/* > */
	"\001?",			/* ? */
	"\001@",			/* @ */
	"\201A",			/* A */
	"\201B",			/* B */
	"\201C",			/* C */
	"\201D",			/* D */
	"\201E",			/* E */
	"\201F",			/* F */
	"\201G",			/* G */
	"\201H",			/* H */
	"\201I",			/* I */
	"\201J",			/* J */
	"\201K",			/* K */
	"\201L",			/* L */
	"\201M",			/* M */
	"\201N",			/* N */
	"\201O",			/* O */
	"\201P",			/* P */
	"\201Q",			/* Q */
	"\201R",			/* R */
	"\201S",			/* S */
	"\201T",			/* T */
	"\201U",			/* U */
	"\201V",			/* V */
	"\201W",			/* W */
	"\201X",			/* X */
	"\201Y",			/* Y */
	"\201Z",			/* Z */
	"\001[",			/* [ */
	"\001\\",			/* \ */
	"\001]",			/* ] */
	"\001^",			/* ^ */
	"\001_",			/* _ dash */
	"\001`",			/* ` open */
	"\201a",			/* a */
	"\201b",			/* b */
	"\201c",			/* c */
	"\201d",			/* d */
	"\201e",			/* e */
	"\201f",			/* f */
	"\201g",			/* g */
	"\201h",			/* h */
	"\201i",			/* i */
	"\201j",			/* j */
	"\201k",			/* k */
	"\201l",			/* l */
	"\201m",			/* m */
	"\201n",			/* n */
	"\201o",			/* o */
	"\201p",			/* p */
	"\201q",			/* q */
	"\201r",			/* r */
	"\201s",			/* s */
	"\201t",			/* t */
	"\201u",			/* u */
	"\201v",			/* v */
	"\201w",			/* w */
	"\201x",			/* x */
	"\201y",			/* y */
	"\201z",			/* z */
	"\001{",			/* { */
	"\001|",			/* | */
	"\001}",			/* } */
	"\001~",			/* ~ */

	/* JWK-- Some of teh following have been fixed.*/
	/*       Some have not.  Use at your own rish. */

	"\000\0",			/* narrow sp */
	"\001-",			/* hyphen */
	"\001\002|",			/* bullet */
	"\001\002|",			/* square */
	"\001-",			/* 3/4 em */
	"\001_",			/* rule */
	"\001\002w",			/* 1/4 */
	"\001\002x",			/* 1/2 */
	"\0033/4",			/* 3/4 */
	"\001-",			/* minus */
	"\202fi",			/* fi */
	"\202fl",			/* fl */
	"\202ff",			/* ff */
	"\203ffi",			/* ffi */
	"\203ffl",			/* ffl */
	"\001\0023",			/* degree */
	"\001|\b-",			/* dagger */
	"\001\002=",			/* section */
	"\001'",			/* foot mark */
	"\001\002(",			/* acute accent */
	"\001\002)",			/* grave accent */
	"\001_",			/* underrule */
	"\001/",			/* slash (longer) */
	"\000\0",			/* half narrow space */
	"\001 ",			/* unpaddable space */
	"\001\241c\202(\241",		/* alpha */
	"\001\200B\242\302\|\202\342",	/* beta */
	"\001\200)\201/\241",		/* gamma */
	"\001\200o\342<\302",		/* delta */
	"\001<\b-",			/* epsilon */
	"\001\200c\201\301,\241\343<\302",	/* zeta */
	"\001\200n\202\302|\242\342",	/* eta */
	"\001O\b-",			/* theta */
	"\001,\bi",			/* iota */
	"\001k",			/* kappa */
	"\001\200\\\304\241'\301\241'\345\202",	/* lambda */
	"\001\200u\244,\204",		/* mu */
	"\001\241(\203/\242",		/* nu */
	"\001\200c\201\301,\241\343c\241\301`\201\301",	/* xi */
	"\001o",			/* omicron */
	"\001\341-\201-\241\303\"\301\241\"\343\201",	/* pi */
	"\001\200o\242\302|\342\202",	/* rho */
	"\001\200o\341\202~\301\242",	/* sigma */
	"\001\200t\341\202~\243~\201\301",	/* tau */
	"\001u",			/* upsilon */
	"\001o\b/",			/* phi */
	"\001x",			/* chi */
	"\001\200/-\302\202'\244'\202\342",	/* psi */
	"\001\241u\203u\242",		/* omega */
	"\001\242|\202\343-\303\202`\242",	/* Gamma */
	"\001\242/\304-\204-\344\\\242",	/* Delta */
	"\001O\b=",			/* Theta */
	"\001\244/\204\\",		/* Lambda */
	"\001\341\201_\241\301-\301\0020\341",			/* Xi */
	"\001\242[]\204[]\242\343-\246-\206\303",	/* Pi */
	"\001\200>\241\302-\344\241-\201\302\201",	/* Sigma */
	"\000\0",			/* Tau, no longer used */
	"\001Y",			/* Upsilon */
	"\001o\b[\b]",			/* Phi */
	"\001\200[]\241-\243-\302\207\002(\256\002)\212\342",	/* Psi */
	"\001\200O\302\244-\206-\242\342",	/* Omega */
	"\002\\/",			/* square root */
	"\201s",			/* terminal sigma */
	"\001\0020",			/* root en */
	"\001_\b>",			/* >= */
	"\001_\b<",			/* <= */
	"\001\342_\302=",		/* identically equal */
	"\001-",			/* equation minus */
	"\001\002,\b=",			/* approx = */
	"\001~",			/* approximates */
	"\001=\b/",			/* not equal */
	"\002->",			/* right arrow */
	"\002<-",			/* left arrow */
	"\001|\b^",			/* up arrow */
	"\001|\bv",			/* down arrow */
	"\001=",			/* equation equal */
	"\001x",			/* multiply */
	"\001-\b:",			/* divide */
	"\001\002~",			/* plus-minus */
	"\001U",			/* cup (union) */
	"\003(^)",			/* cap (intersection) */
	"\002(_\b~",			/* subset of */
	"\002_\b~)",			/* superset of */
	"\002(~\b_\b=",			/* improper subset */
	"\002~\b_\b=)",			/*  improper superset */
	"\002oo",			/* infinity */
	"\001\200o\201\301`\241\341`\241\341`\201\301",	/* partial derivative */
	"\001\242\\\343-\204-\303/\242",	/* gradient */
	"\001\200-\202\341,\301\242",	/* not */
	"\001\200|\002(\204\002)\252\307\002)\241\002(\205\347",	/* integral sign */
	"\002oc",			/* proportional to */
	"\001O\b/",			/* empty set */
	"\201-\bC",			/* member of */
	"\001+",			/* equation plus */
	"\001r\bO",			/* registered */
	"\001c\bO",			/* copyright */
	"\001|",			/* box rule  */
	"\001\002?",			/* cent sign */
	"\001|\b=",			/* dbl dagger */
	"\002=>",			/* right hand */
	"\002<=",			/* left hand */
	"\001*",			/* math *  */
	"\000\002",			/* was bell system sign now STX */
	"\001|",			/* or (was star) */
	"\001O",			/* circle */
	"\001(",			/* left top (of big curly) */
	"\001(",			/* left bottom */
	"\001)",			/* right top */
	"\001)",			/* right bot */
	"\001|",			/* left center of big curly bracket */
	"\001|",			/* right center of big curly bracket */
	"\001|",			/* bold vertical */
	"\001|",			/* left floor (left bot of big sq bract) */
	"\001|",			/* right floor (rb of ") */
	"\001|",			/* left ceiling (lt of ") */
	"\001|"				/* right ceiling (rt of ") */
	};
