#
/*
 *	    M U L T I - D E V I C E   Q U E U E I N G   S Y S T E M
 *
 *			   Douglas P. Kingston III
 *
 *			      C K F O R M S . C
 *
 *			Revision History
 *			================
 *	10 Dec 1982	DPK	Changed to return NULL on error.
 *
 *	15-Mar-1988	DAG	Close file after use.
 */

#include <stdio.h>
#include "queue.h"

extern	char	*Formsfile;
extern	char	*index();
extern	char	*strdup();

/*
 *		C K F O R M S
 *  This function verifies that the forms specified are valid
 *  for the device being queued.  If there is more than one
 *  name on a line, the subsequent name are taken to be
 *  aliases for the first (official) form name.
 */
char *
ckforms( form )
register char	*form;
{
	static char	formbuf[LINESIZ];
	FILE	*ff;
	char **forms;
	register char *save;

	if(( ff = fopen( Formsfile, "r" )) != NULL ) {
		while( fgets( formbuf, LINESIZ, ff ) != NULL ) {

			if( save = index( formbuf, '\n' ))
				*save = 0;
			parse( formbuf, &forms );
			while( *forms ) {
				if( strncmp(*forms, form, FORMSIZ) == SAME ) {
					(void) fclose( ff );
					return( strdup(formbuf) );
				}
				forms++;
			}
		}
		(void) fclose( ff );
		return( NULL );
	}
	return( strdup(form) );
}
