/*
 *			N E T O P E N . C
 *
 *	Open a TCP/MDQS connection using BBN style networking on 4.1.
 *
 *	James O'Toole <james@maryland>
 */
#include <sys/types.h>
#include <stdio.h>
#include <net/net.h>		/* Uses BBN hashed host database tables */
#include <netlib.h>
#include <net/con.h>
#include <net/tcp.h>

struct con openpar;

extern int errno;
extern char *sys_errlist[];

FILE *
netopen (host, port)
char	*host;
int	port;
{
	register int skt;
	netaddr addr;
	netaddr hp;
	register int i;

	if (isbadhost(hp = gethost(host))) {
		err ("MDQS NETSEND: Unknown host '%s'", host);
		return (NULL);
	}
	
	addr = hp;

	if( (skt = mdconnect(&addr, port)) < 0 ) {
		close( skt );
#ifdef NOISY
		err ("MDQS NETSEND: Can't get connection (%s)", sys_errlist[errno]);
#endif
		return( NULL );
	}
	return (fdopen(skt, "r+"));
}

mdconnect(ap, port)	/* Use network open with con struct as 2nd arg */
netaddr *ap;
int	port;
{
	int tfd;

	openpar.c_mode = CONACT|CONTCP;
	openpar.c_fcon = *ap;
	openpar.c_fport = port;
	openpar.c_timeo = 60;
	openpar.c_proto = TCPROTO;

	tfd = open("/dev/net/net", &openpar);
	return(tfd);
}
